use fantoccini::{elements::Element, ClientBuilder, Locator};

const MAX_ANSWER_INDEX: u128 = 100000000;

struct Answer {
    upvotes: u32,
    author: String,
    content: String,
}

// let's set up the sequence of steps we want the browser to take
async fn get_answer() -> anyhow::Result<Element> {
    let c = ClientBuilder::native()
        .connect("http://localhost:4444")
        .await
        .expect("failed to connect to WebDriver");

    // first, go to the Wikipedia page for Foobar
    c.goto("https://stackoverflow.com/questions/78872368/how-to-set-up-webpack-devserver-config-to-build-another-target").await?;

    let answer_loc = c.find(Locator::Css("answer")).await;

    c.close().await;
    Ok(answer_loc?)
}

#[tokio::main]
async fn main() {
    dbg!(get_answer().await);
}
